Name: openjade
Version: 1.3.1
Release: alt3

# Three-digit number here
%define altver 131

%define sgmlbase %_datadir/sgml
%define sgmlconfdir %_sysconfdir/sgml
%define _strip_method executable shared static

Summary: Jade and SP -- parser and tools for SGML + DSSSL
License: Copyright 1997 James Clark
Group: Publishing
Obsoletes: jade
Provides: jade
Requires: lib%name = %version-%release
Requires: sgml-common >= 0.2

Source: http://download.sourceforge.net/openjade/openjade-%version.tar.bz2
Patch0: openjade-1.3.1-manlink.patch

# Automatically added by buildreq on Sun Mar 10 2002
BuildRequires: gcc-c++ libstdc++-devel perl-base

%description
OpenJade is an implementation of the ISO/IEC 10179:1996 standard DSSSL
(Document Style Semantics and Specification Language). OpenJade is
based on James Clark's Jade implementation of DSSSL. OpenJade is a
commmand-line application and a set of components. The DSSSL engine
inputs an SGML or XML document and can output a variety of formats:
XML, RTF, TeX, MIF (FrameMaker), SGML, or XML.
#'

%package -n lib%name
Summary: Shared libraries provided by OpenJade
Group: Publishing

%description -n lib%name
This package contains shared libraries as provided by
the OpenJade project.

%package devel
Summary: Development files for OpenJade
Group: Development/C
Requires: lib%name = %version-%release

%description devel
This package contains files needed to develop applications
using OpenJade libraries.

%package devel-static
Summary: Static libraries for OpenJade
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static versions of the OpenJade libraries.

%prep
%setup -q
%patch0 -p1

%build
cp config/configure.in .
%configure \
    --enable-static \
    --datadir=%sgmlbase/%name-%version \
    --enable-default-catalog=%_sysconfdir/sgml/catalog
#    --enable-http \
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_libdir}
install -d -m755 $RPM_BUILD_ROOT%_includedir/sp/{generic,include,lib}
install -d -m755 $RPM_BUILD_ROOT%sgmlbase/%name-%version

%makeinstall datadir=$RPM_BUILD_ROOT%sgmlbase/%name-%version
%make install-man mandir=$RPM_BUILD_ROOT%_mandir

# Fix up libtool libraries
find $RPM_BUILD_ROOT -name '*.la' | \
  xargs perl -p -i -e "s|-L$RPM_BUILD_DIR[\w/.-]*||g"

# oMy, othis ois osilly.
ln -s openjade $RPM_BUILD_ROOT%_bindir/jade
for file in nsgmls sgmlnorm spam spent sx ; do
   ln -s o$file $RPM_BUILD_ROOT%_bindir/$file
done

mv -f $RPM_BUILD_ROOT%_bindir/sx $RPM_BUILD_ROOT%_bindir/sgml2xml
install -m644 generic/*.h $RPM_BUILD_ROOT%_includedir/sp/generic/
install -m644 include/*.h $RPM_BUILD_ROOT%_includedir/sp/include/
install -m644 lib/*.h $RPM_BUILD_ROOT%_includedir/sp/lib/
install -m644 dsssl/catalog $RPM_BUILD_ROOT%sgmlbase/%name-%version/
install -m644 dsssl/*.dtd $RPM_BUILD_ROOT%sgmlbase/%name-%version/
install -m644 dsssl/builtins.dsl $RPM_BUILD_ROOT%sgmlbase/%name-%version/
install -m644 dsssl/extensions.dsl $RPM_BUILD_ROOT%sgmlbase/%name-%version/

%post
%_bindir/install-catalog --add \
    %_sysconfdir/sgml/dsssl-%version.cat \
    %sgmlbase/%name-%version/catalog >/dev/null 2>&1

CATALOGS=$(echo %sgmlconfdir/*ml-docbook-*.cat)
OJCATALOGS=$(echo %sgmlbase/%name-*/catalog)
if [ "$OJCATALOGS" = "%sgmlbase/%name-*/catalog" ]; then
    OJCATALOGS=
fi
[ "$CATALOGS" = "%sgmlconfdir/*ml-docbook-*.cat" ] ||
for catalog in $CATALOGS; do
    for ojcatalog in $OJCATALOGS; do
	%_bindir/install-catalog --remove $catalog \
	    $ojcatalog >/dev/null 2>&1
    done
    %_bindir/install-catalog --add $catalog \
	%sgmlbase/%name-%version/catalog >/dev/null 2>&1
done

%_sbindir/update-alternatives --install %_sysconfdir/sgml/dsssl.cat \
	dsssl.cat %_sysconfdir/sgml/dsssl-%version.cat %altver

%preun
# Do not remove if upgrade
if [ "$1" = 0 ]; then
    %_bindir/install-catalog --remove \
        %_sysconfdir/sgml/dsssl-%version.cat \
        %sgmlbase/%name-%version/catalog >/dev/null 2>&1

    CATALOGS=$(echo %sgmlconfdir/*ml-docbook-*.cat)
    [ "$CATALOGS" = "%sgmlconfdir/*ml-docbook-*.cat" ] ||
    for catalog in $CATALOGS; do
	%_bindir/install-catalog --remove $catalog \
	    %sgmlbase/%name-%version/catalog >/dev/null 2>&1
    done

    %_sbindir/update-alternatives --remove \
	dsssl.cat %_sysconfdir/sgml/dsssl-%version.cat
fi

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%doc README COPYING NEWS releasenotes.html ChangeLog
%doc dsssl/README.jadetex
%doc dsssl/demo.*
%doc doc/ jadedoc/ pubtext/ contrib/ unicode/
%_bindir/*
%sgmlbase/%name-%version
%_mandir/*/*

%files -n lib%name
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%files devel-static
%_libdir/*.a

%changelog
* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1.3.1-alt3
- rebuilt with gcc-3.2

* Wed Mar 27 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.1-alt2
- Moved extensions.dsl from the doc list to the main dir,
  excluded blanket dsssl/ from the doc list, of there left only
  README.jadetex and demo.*

* Sun Mar 10 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.1-alt1
- 1.3.1
- Spec cleanup
- Sync with RedHat openjade-1.3.1-2
- libification
- bedevelment
- Shutup install-catalog and make it always happy
- update-alternatives instead of symlink hackwork
- Patched symlink for sgmlnorm(1)
- BuildRequires

* Tue Jan 23 2001 AEN <aen@logic.ru>
- %files fixed
- cleanup spec

* Sun Dec 10 2000 Peter 'Nidd' Novodvorsky <petya@logic.ru> ipl1mdk
- changed from 10mdk to ipl10mdk. Now IPLabs Linux Team supports this
Package.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-10mdk
- Don't compile with optimisations.

* Wed Nov 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-9mdk
- RH patch merge.
- Compile with gcc2.96.

* Sun Sep 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.3-8mdk
- Rebuilt as jade is not finding the new version of docbook-style-dsssl it is
  still looking for the old one.

* Mon Aug 28 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-7mdk
- relocate builtins.dsl

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-6mdk
- Requires: sgml-common >= 0.2

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-5mdk
- Pre-LSB compliance

* Mon Jul 03 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-4mdk
- Add %post -p ldconfig and %postun -p ldconfig

* Fri Jun 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-3mdk
- recompile with newer libstdc++

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-2mdk
- User makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-1mdk
- Set -fexecpltions to CFLAGS when compiling on ia32.
- Rename package to openjade (add Provides: Obsoletes: jade).
- compile with egcs.
- Clean up specs.

* Tue Mar 21 2000 Camille Begnis <camille@mandrakesoft.com> 1.2.1-9mdk
- major spec update
- remove sources from rpm
- fixed doc

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed docs

* Tue Dec 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix build with gcc2.95.

* Sun Nov 07 1999 John Buswell <johnb@mandrakesoft.com>
- Added Url and updated source url
- Build Release

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First version with the help of author.
